
/*:root{
--maincolor: blue;
--secondcolor:green;
--margin:30px
}
 
.test{
    background-color: var(--secondcolor);
    width: 900px;
    height: 600px;
    margin: var(--margin);
    position: relative;
    overflow: hidden;
    animation: color 4s infinite alternate;
}

.ch{
    background-color: blue;
    width: 100px;
    height: 100px;
    position: absolute;
    animation: move 4s infinite alternate;
}


@keyframes move {
    0%{
     left: 0;   
    }
    100%{
        left: 100%;
    }
}
@keyframes color{
    from{
        background-color: var(--secondcolor);
    }
    to{
        background-color:aqua;
    }
}
.parent{
    height: 600px;
    background-color: brown;
    display: grid;
    grid-template-columns: repeat(6,1fr);
    grid-template-rows: 50px auto 50px;
}
header{
    background-color: aqua;
    grid-column: 1/-1;
}
aside{
    background-color: blue;
    grid-column: 1/3;
}
main{
    background-color: blueviolet;
     grid-column: 3/-1;
}
footer{
    background-color:mediumslateblue;
    grid-column: 1/-1;
}
*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}
body{
    background-color: #303030;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}
.mem{

}
.im{
    width: 25%;
    float: left;
    border: 1px solid white;
    position: relative;
    overflow: hidden;
}
.clr{
    clear: both;
}
.im img{
    width: 100%;
    transition: transform 2s s;
}
.layer{
    background-color :rgba(42, 63,85, 0.7);
    color: white;
    position: absolute;
    transition: transform 2s;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    text-align: center;
    opacity: 0;
}
.layer h3{
    position:relative;
    left: 110%;
    background-color :rgba(42, 63,85, 0.7);
     padding: 10px;
     transition: left 2s 2s;
}

.layer p{
    position: relative;
    left: 110%;
    font-weight: lighter;
    font-size: 18px;
    padding: 15px;
    transition: left 2s 2s;

}
.im:hover img{
    transform: scale(1.5,1.5);
}

.im:hover .layer{
    opacity: 1;
    transform: rotate(360deg);
}

.im:hover p{
    left: 0;
}
.im:hover h3{
    left: 0;
}*/
*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

.home{
    background-image: url(../img/boot/hero-bg.jpg);
    background-size: 100% 100%;
}
.home{
    padding-top: 300px;
}
.home h1{
    letter-spacing: 2px;
    font-family: system-ui,-apple-system,"Segoe UI", Roboto, "Helvetica Neue",
    "Noto Sans","Liberation Sans",
    Arial,sans-serif,
    "Apple Color Emoji","Segoe UI Emoji" ,
    "Segoe UI Symbol","Noto Color Emoji";
    
}
.animat{
    width: 0;
    overflow: hidden;
    border-right: 2px solid white;
    white-space: nowrap;
    margin: auto;
    animation: 
                typing 4s steps(30) forwards, 
                blink 0.75s step-end infinite;
}
@keyframes typing {
            from { width: 0; }
            to { width: 13ch; } 
        }

#about .gg{
    
    transform: translateY(20%);
}


.ii{
    width: 100px;
    height: 100px;
    background-color: white;
    border: 10px solid #0078ff ;
    transition: 1s;
    
}

.ii:hover{
    transform: scale(1.2);
    background-color: #0078ff;
    border-color: darkgrey;
}

.num{
    background-image: url(../img/boot/post-3.jpg);
    background-size: 100% 100%;
    height: 50vh;
    position: relative;
}

.layer{
    background-color: rgba(36, 79, 128, 0.5);
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
}

.num .in{
    width: 60px;
    height: 60px;
}

.line{
    width: 60px;
    height: 6px;
    background-color: #0078ff;
    margin: auto;
}

.card{
    overflow: hidden;
}
.card-img-top{
    transition: 1s;
   
}
.card-img-top:hover{
    transform: scale(1.06);
    

}

.ic{
    width: 50px;
    height: 50px;
}
 
.bag{
    background-image: url(../img/boot/overlay-bg.jpg);
    background-size: 100% 100%;
    height: 65vh;
    position: relative;
}

#carouselExampleCaptions{
    opacity: 100%;

}

.img{
    width: 200px;
    height:200px;
    transform: translatey(-45%);
}
.img-hero{
    border: 1px solid ghostwhite;
    border-radius: 50%;
    overflow: hidden;
}
.img-hero:hover{
   border-radius: 0%;
}

.about{
    animation: heartbeat 1.5s infinite ease-in-out;
}
@keyframes heartbeat {
    0% {
        transform: scale(1); 
    }
    14% {
        transform: scale(1.1); 
    }
    28% {
        transform: scale(1); 
    }
    42% {
        transform: scale(1.15);  
    }
    70% {
        transform: scale(1); 
    }
}
.carousel-inner{
    padding-top: 200px;
}

.carousel-indicators [data-bs-target]{
    width: 20px;
    height:20px;
    transition: 0.5s;
}

.carousel-indicators [data-bs-target]:hover{
    transform: scale(1.2);
}

.card-title{
    color: black;
}

.card-title:hover{
    color: #0078ff;

}

.tr{

    width: 200px;
    height: 30px;
   border-style: solid;
   border-color: #0078ff;
   border-radius: 10px;
    
}

.im{
    width: 45px;
    height: 45px;
}

.end{
    margin-top:150px;
    /*height: 50vh;*/
}

.B{
    border-style: solid;
    border-color: #0078ff;
    border-radius: 10px;
    border-width: 3Px;
}

.B:hover{
    border-color:cornflowerblue;
}

.if{
    width: 50px;
    height: 50px;
    border-width: 6px;
    padding: 11px;
}
